VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "IWindow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private mlngHwnd                As Long
Private mlngHwndParent          As Long
Private mstrWindowTitle         As String
Private mstrClassName           As String
Private mwtWindowType           As WindowType

Private mcolChildren            As Collection

Public Function Add(ByVal hWnd As Long, ByVal strWindowTitle As String, Optional ByVal strClassName As String, Optional ByVal hWndParent As Long) As IWindow
    On Error Resume Next
    Dim objWindow                As IWindow
    Set objWindow = New IWindow
    With objWindow
        .hWnd = hWnd
        .hWndParent = hWndParent
        .WindowTitle = strWindowTitle
        .ClassName = mstrClassName
    End With
    mcolChildren.Add objWindow, "_" & hWnd
    Set Add = objWindow
    Set objWindow = Nothing
End Function

Public Property Get Child(ByVal hWnd As Long) As IWindow
Attribute Child.VB_UserMemId = 0
  Set Child = mcolChildren("_" & hWnd)
End Property

Public Property Get Count() As Long
    Count = mcolChildren.Count
End Property

Public Sub Remove(ByVal hWnd As Long)
    mcolChildren.Remove "_" & hWnd
End Sub

Friend Property Let hWnd(ByVal lngHwnd As Long)
    mlngHwnd = lngHwnd
End Property

Public Property Get hWnd() As Long
    hWnd = mlngHwnd
End Property

Friend Property Let hWndParent(ByVal lngHwndParent As Long)
    mlngHwndParent = lngHwndParent
End Property

Public Property Get hWndParent() As Long
    hWndParent = mlngHwndParent
End Property

Public Property Get ClassName() As String
    ClassName = mstrClassName
End Property

Friend Property Let ClassName(ByVal strClassName As String)
    mstrClassName = strClassName
End Property

Friend Property Let WindowTitle(ByVal strWindowTitle As String)
    mstrWindowTitle = strWindowTitle
End Property

Public Property Get WindowTitle() As String
    WindowTitle = mstrWindowTitle
End Property

Public Property Get WindowType() As WindowType
    Static sblnInit         As Boolean
    If Not sblnInit Then
        mwtWindowType = wtStd
        If Not (GetWindowLong(mlngHwnd, GWL_STYLE) And WS_BORDER) Then
            If Len(Trim$(mstrClassName)) Then mwtWindowType = wtClass
        End If
    End If
    WindowType = mwtWindowType
End Property

Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "440"
    Set NewEnum = mcolChildren.[_NewEnum]
End Property

Private Sub Class_Initialize()
    Set mcolChildren = New Collection
End Sub

Private Sub Class_Terminate()
    Set mcolChildren = Nothing
End Sub
